# XQilla Simple API Documentation

# SchemaValidatorFilter.hpp File Reference

`#include <vector>`
`#include <xqilla/events/EventHandler.hpp>`
`#include <xercesc/framework/XMLDocumentHandler.hpp>`
`#include <xercesc/framework/XMLErrorReporter.hpp>`
`#include <xercesc/validators/schema/SchemaValidator.hpp>`
`#include <xercesc/validators/schema/identity/IdentityConstraintHandler.hpp>`
`#include <xercesc/internal/XMLScanner.hpp>`
`#include <xercesc/util/RefHash3KeysIdPool.hpp>`
Include dependency graph for SchemaValidatorFilter.hpp:

Go to the source code of this file.

## Classes

class | SchemaValidatorFilter
| The SchemaValidatorFilter class will modify the incoming event stream by validating it against the schema definitions found in the DynamicContext's DocumentCache. More...

## Typedefs

typedef XMLSSize_t | XMLFileLoc

## Typedef Documentation

typedef XMLSSize_t XMLFileLoc